Browse Source

Merge "Remove the use of PROTOCOL_SSLv3"

changes/87/137787/1
Jenkins 7 years ago
committed by Gerrit Code Review
parent
commit
bd56131b58
  1. 12
      oslo/messaging/_drivers/impl_rabbit.py

12
oslo/messaging/_drivers/impl_rabbit.py

@ -41,8 +41,8 @@ rabbit_opts = [
cfg.StrOpt('kombu_ssl_version',
default='',
help='SSL version to use (valid only if SSL enabled). '
'valid values are TLSv1, SSLv23 and SSLv3. SSLv2 may '
'be available on some distributions.'
'valid values are TLSv1 and SSLv23. SSLv2 and '
'SSLv3 may be available on some distributions.'
),
cfg.StrOpt('kombu_ssl_keyfile',
default='',
@ -496,8 +496,7 @@ class Connection(object):
# FIXME(markmc): use oslo sslutils when it is available as a library
_SSL_PROTOCOLS = {
"tlsv1": ssl.PROTOCOL_TLSv1,
"sslv23": ssl.PROTOCOL_SSLv23,
"sslv3": ssl.PROTOCOL_SSLv3
"sslv23": ssl.PROTOCOL_SSLv23
}
try:
@ -505,6 +504,11 @@ class Connection(object):
except AttributeError:
pass
try:
_SSL_PROTOCOLS["sslv3"] = ssl.PROTOCOL_SSLv3
except AttributeError:
pass
@classmethod
def validate_ssl_version(cls, version):
key = version.lower()

Loading…
Cancel
Save